package cn.hmsoft.frame.data.model;
import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 系统表-资源定义
* @author: zxq
* @date: 2019-06-22 11:49:23
* @version: 2.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "FRAME_RES", keyColumn =  "RES_ID" , sequenceName = "")
public class FrameRes implements Serializable{
	private static final long serialVersionUID = -595131547248242917L;
	//内部编号
	private Integer res_id;
	//资源名称
	private String res_name;
	//别名，用于前端权限控制
	private String res_alias;
	//资源的地址
	private String res_url;
	//资源上级ID
	private Integer res_pid;
	//资源级别
	private Integer res_level;
	//资源类型,Menu,Fun
	private String res_type;
	//资源的样式信息
	private String res_css;
	//资源状态
	private String res_status;
	//排序
	private Integer res_order;
	//备注信息
	private String res_desc;

	/****
	 * 内部编号
	 */
	public Integer getRes_id() {
		return this.res_id;
	}

	/****
	 * 内部编号
	 */
	public void setRes_id(Integer res_id) {
		this.res_id = res_id;
	}

	/****
	 * 资源名称
	 */
	public String getRes_name() {
		return this.res_name;
	}

	/****
	 * 资源名称
	 */
	public void setRes_name(String res_name) {
		this.res_name = res_name;
	}

	/****
	 * 别名，用于前端权限控制
	 */
	public String getRes_alias() {
		return this.res_alias;
	}

	/****
	 * 别名，用于前端权限控制
	 */
	public void setRes_alias(String res_alias) {
		this.res_alias = res_alias;
	}

	/****
	 * 资源的地址
	 */
	public String getRes_url() {
		return this.res_url;
	}

	/****
	 * 资源的地址
	 */
	public void setRes_url(String res_url) {
		this.res_url = res_url;
	}

	/****
	 * 资源上级ID
	 */
	public Integer getRes_pid() {
		return this.res_pid;
	}

	/****
	 * 资源上级ID
	 */
	public void setRes_pid(Integer res_pid) {
		this.res_pid = res_pid;
	}

	/****
	 * 资源级别
	 */
	public Integer getRes_level() {
		return this.res_level;
	}

	/****
	 * 资源级别
	 */
	public void setRes_level(Integer res_level) {
		this.res_level = res_level;
	}

	/****
	 * 资源类型,Menu,Fun
	 */
	public String getRes_type() {
		return this.res_type;
	}

	/****
	 * 资源类型,Menu,Fun
	 */
	public void setRes_type(String res_type) {
		this.res_type = res_type;
	}

	/****
	 * 资源的样式信息
	 */
	public String getRes_css() {
		return this.res_css;
	}

	/****
	 * 资源的样式信息
	 */
	public void setRes_css(String res_css) {
		this.res_css = res_css;
	}

	/****
	 * 资源状态
	 */
	public String getRes_status() {
		return this.res_status;
	}

	/****
	 * 资源状态
	 */
	public void setRes_status(String res_status) {
		this.res_status = res_status;
	}

	/****
	 * 排序
	 */
	public Integer getRes_order() {
		return this.res_order;
	}

	/****
	 * 排序
	 */
	public void setRes_order(Integer res_order) {
		this.res_order = res_order;
	}

	/****
	 * 备注信息
	 */
	public String getRes_desc() {
		return this.res_desc;
	}

	/****
	 * 备注信息
	 */
	public void setRes_desc(String res_desc) {
		this.res_desc = res_desc;
	}

	/***************
	 * 资源状态，额外增加的还是被移除的
	 */
	protected String type_status;
	/***************
	 * 资源状态，额外增加的还是被移除的
	 */
	public String getType_status() {
		return type_status;
	}
	/***************
	 * 资源状态，额外增加的还是被移除的
	 */
	public void setType_status(String type_status) {
		this.type_status = type_status;
	}
	

}